/**
 * 
 */
package com.steering.mes.zgmil.entity;

/**
 * @author ZJAY
 *
 */
/**
 * 数据库表MIL_TESTING_RESULT_DETAIL_DES所对应的实体类（生成工具：代码生成器3.0）
 * @author ZJAY-PC   date 2016-03-08
 */
public class MilTestingResultDetailDesEntity implements java.io.Serializable {
    /**
     * 实绩编号
     */
    private String resultNo = "";
    /**
     * 生产批号
     */
    private String lotNo = "";
    /**
     * 熔炼炉号
     */
    private String stoveNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 厂线代码
     */
    private String plineCode = "";
    /**
     * 操作人
     */
    private String colUser = "";
    /**
     * 操作班次
     */
    private String colShift = "";
    /**
     * 操作班组
     */
    private String colGroup = "";
    /**
     * 原因
     */
    private String reason = "";
    /**
     * 支数
     */
    private String reasonNumber  = "";
    /**
     * 备注
     */
    private String remark = "";
    /**
     * 原因标识（0-可以  1-剔除）
     */
    private String reasonFlag = "";
    /**
     * 台号
     */
    private String colNo = "";

    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 厂线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 厂线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 原因
     * @return value
     */
    public String getReason() {
        return reason;
    }

    /**
     * 原因
     * @param reason value
     */
    public void setReason(String reason) {
        this.reason = reason;
    }

    /**
     * 支数
     * @return value
     */
    public String getReasonNumber() {
        return reasonNumber;
    }

    /**
     * 支数
     * @param reasonNumber value
     */
    public void setReasonNumber(String reasonNumber) {
        this.reasonNumber = reasonNumber;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }
    /**
     * 原因标识（0-可以  1-剔除）
     * @return value
     */
    public String getReasonFlag() {
        return reasonFlag;
    }

    /**
     * 原因标识（0-可以  1-剔除）
     * @param reasonFlag value
     */
    public void setReasonFlag(String reasonFlag) {
        this.reasonFlag = reasonFlag;
    }
    /**
     * 台号
     * @return value
     */
    public String getColNo() {
        return colNo;
    }

    /**
     * 台号
     * @param colNo value
     */
    public void setColNo(String colNo) {
        this.colNo = colNo;
    }
}
